Resend an event
curl --request POST \
--url https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"event_resource": "<string>",
"event_resource_changed_fields": "<string>",
"event_time": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_history": [
{
"code": 123,
"response_body": "<string>",
"response_time": "2023-11-07T05:31:56Z",
"sent_time": "2023-11-07T05:31:56Z"
}
],
"status": "FAILED",
"type": "ACCOUNT.CREATED",
"url": "<string>",
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Webhooks
Resend an event
Resend a webhook event
POST
/
webhooks
/
{webhook_id}
/
events
/
{event_id}
/
resend
Resend an event
curl --request POST \
--url https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.synctera.com/v2/webhooks/{webhook_id}/events/{event_id}/resend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"event_resource": "<string>",
"event_resource_changed_fields": "<string>",
"event_time": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_history": [
{
"code": 123,
"response_body": "<string>",
"response_time": "2023-11-07T05:31:56Z",
"sent_time": "2023-11-07T05:31:56Z"
}
],
"status": "FAILED",
"type": "ACCOUNT.CREATED",
"url": "<string>",
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Path Parameters
Query Parameters
Response
Resent webhook event
Webhook event object
All the webhook event types
Available options:
ACCOUNT.CREATED, ACCOUNT.UPDATED, ACH.INCOMING.FUTURE_DATED, ADDRESS.CREATED, ADDRESS.UPDATED, APPLICATION.CREATED, APPLICATION.UPDATED, BUSINESS.CREATED, BUSINESS.UPDATED, BUSINESS.VERIFICATION_OUTCOME.UPDATED, CARD.CREATED, CARD.DIGITALWALLETTOKEN.CREATED, CARD.DIGITALWALLETTOKEN.UPDATED, CARD.IMAGE.UPDATED, CARD.THREE_DS.AUTHENTICATION, CARD.THREE_DS.DECISION, CARD.UPDATED, CASE.CREATED, CASE.UPDATED, CASH_PICKUP.CREATED, CASH_PICKUP.UPDATED, CREDIT_SCORE.CREATED, CRR.CREATED, CUSTOMER.CREATED, CUSTOMER.KYC_OUTCOME.UPDATED, CUSTOMER.UPDATED, DOCUMENT.CREATED, DOCUMENT.DELETED, DOCUMENT.RETRIEVED, DOCUMENT.UPDATED, DOCUMENT_VERIFICATION_SESSION.CREATED, DOCUMENT_VERIFICATION_SESSION.UPDATED, EDD.CREATED, EDD.DELETED, EXTERNAL_CARD.CREATED, EXTERNAL_CARD.DELETED, EXTERNAL_CARD.UPDATED, EXTERNAL_CARD_TRANSFER.CREATED, EXTERNAL_CARD_TRANSFER.UPDATED, INTEREST.MONTHLY_PAYOUT, INTERNAL_ACCOUNT.CREATED, INTERNAL_ACCOUNT.UPDATED, INTERNAL_TRANSFER.SUCCEEDED, NOTE.CREATED, NOTE.UPDATED, PAYMENT_SCHEDULE.CREATED, PAYMENT_SCHEDULE.PAYMENT.CREATED, PAYMENT_SCHEDULE.UPDATED, PERSON.CREATED, PERSON.UPDATED, PERSON.VERIFICATION_OUTCOME.UPDATED, RESOURCE_MAPPING.CREATED, RESOURCE_MAPPING.DELETED, RESOURCE_MAPPING.UPDATED, SPEND_CONTROL.CREATED, SPEND_CONTROL.UPDATED, SPEND_CONTROL.VIOLATED, STATEMENT.CREATED, TRANSACTION.PENDING.CREATED, TRANSACTION.PENDING.UPDATED, TRANSACTION.POSTED.CREATED, TRANSACTION.POSTED.UPDATED Was this page helpful?

